## mda-lv2 0~svn2677

=== Makefile ===
CFLAGS = -O0 -g -ansi -Wall -Wextra -Wno-unused # -pedantic -Woverloaded-virtual
CFLAGS += -fPIC -DPIC -Ilvz -Ivstgui -I. -DURI_PREFIX=\"http://drobilla.net/plugins/mda.lv2/\"

SYSTEMNAME = $(shell uname -s)

ifeq ($(SYSTEMNAME),Darwin)
CFLAGS += -fno-common -flat_namespace 
SHARED_LDFLAGS = -fno-common -flat_namespace -bundle -undefined suppress -lbundle1.o -nostartfiles
USER_INSTALL_DIR = ~/Library/Audio/Plug-Ins/LV2/
LOCAL_INSTALL_DIR = /Library/Audio/Plug-Ins/LV2/
SYSTEM_INSTALL_DIR = /Library/Audio/Plug-Ins/LV2/
else
SHARED_LDFLAGS = -shared
USER_INSTALL_DIR = ~/.lv2/
SYSTEM_INSTALL_DIR = /usr/lib/lv2/
LOCAL_INSTALL_DIR = /usr/local/lib/lv2/
endif

BUILD_GUI = ! `pkg-config --exists gtk+-2.0`
GUI_CFLAGS = $(CFLAGS) -Ivstgui `pkg-config --cflags gtk+-2.0 libpng`

all: lvz/gendata libs data # gui_libs

bundle:
	mkdir -p ./mda.lv2

libs: bundle \
	mda.lv2/mdaAmbience.so \
	mda.lv2/mdaBandisto.so \
	mda.lv2/mdaBeatBox.so \
	mda.lv2/mdaCombo.so \
	mda.lv2/mdaDX10.so \
	mda.lv2/mdaDeEss.so \
	mda.lv2/mdaDegrade.so \
	mda.lv2/mdaDelay.so \
	mda.lv2/mdaDetune.so \
	mda.lv2/mdaDither.so \
	mda.lv2/mdaDubDelay.so \
	mda.lv2/mdaDynamics.so \
	mda.lv2/mdaEPiano.so \
	mda.lv2/mdaImage.so \
	mda.lv2/mdaJX10.so \
	mda.lv2/mdaLeslie.so \
	mda.lv2/mdaLimiter.so \
	mda.lv2/mdaLoudness.so \
	mda.lv2/mdaMultiBand.so \
	mda.lv2/mdaOverdrive.so \
	mda.lv2/mdaPiano.so \
	mda.lv2/mdaRePsycho.so \
	mda.lv2/mdaRezFilter.so \
	mda.lv2/mdaRingMod.so \
	mda.lv2/mdaRoundPan.so \
	mda.lv2/mdaShepard.so \
	mda.lv2/mdaSplitter.so \
	mda.lv2/mdaStereo.so \
	mda.lv2/mdaSubSynth.so \
	mda.lv2/mdaTalkBox.so \
	mda.lv2/mdaTestTone.so \
	mda.lv2/mdaThruZero.so \
	mda.lv2/mdaTracker.so \
	mda.lv2/mdaTransient.so \
	mda.lv2/mdaVocInput.so \
	mda.lv2/mdaVocoder.so
#	mda.lv2/mdaSpecMeter.so

pixmaps:
	cp src/mdaSpecMeter.png mda.lv2

gui_libs: bundle pixmaps \
	mda.lv2/mdaSpecMeterGUI.so

data: libs lvz/gendata #gui_libs
	cd ./mda.lv2 && ../lvz/gendata ./*.so > manifest.ttl
#	@echo "*** Ignore the above non-error about loading images! ***"

install:
	if [ "x$(INSTALL_DIR)" = "x" ]; then \
		echo -e "\n*** ERROR: INSTALL_DIR is not set\n"; \
		echo -e "Try make install-user, install-local, or install-system\n"; \
		echo -e "You can also specify where to install the plugin bundle:"; \
		echo -e "    make install INSTALL_DIR=~/.lv2/\n"; \
	else \
		install -d $(INSTALL_DIR)/mda.lv2; \
		install -m 644 ./mda.lv2/*.ttl $(INSTALL_DIR)/mda.lv2; \
		install -m 755 ./mda.lv2/*.so $(INSTALL_DIR)/mda.lv2; \
	fi
#		install -m 644 ./mda.lv2/*.png $(INSTALL_DIR)/mda.lv2; \

install-user:
	INSTALL_DIR=$(USER_INSTALL_DIR) make install

install-local:
	INSTALL_DIR=$(LOCAL_INSTALL_DIR) make install

install-system:
	INSTALL_DIR=$(SYSTEM_INSTALL_DIR) make install

uninstall:
	rm -rf $(HOME)/.lv2/mda.lv2
	rm -rf /usr/local/lib/lv2/mda.lv2
	rm -rf /usr/lib/lv2/mda.lv2

src/%.cpp: src/%.h lvz/audioeffectx.h

lvz/gendata: lvz/gendata.cpp lvz/audioeffectx.h
	$(CXX) $(CFLAGS) -ldl $< -o $@

mda.lv2/%GUI.so: src/%GUI.cpp src/%.cpp lvz/gui_wrapper.cpp vstgui/vstgui.cpp vstgui/vstgui.h vstgui/vstcontrols.cpp vstgui/vstcontrols.h
	if [ $(BUILD_GUI) ]; then \
	$(CXX) $(SHARED_LDFLAGS) $(GUI_CFLAGS) \
		-DUI_CLASS=`echo $@ | sed 's/mda.lv2\///' | sed 's/\..*//'` \
		-DPLUGIN_CLASS=`echo $@ | sed 's/mda.lv2\///' | sed 's/\..*//' | sed 's/GUI//'` \
		-DUI_HEADER=\"`echo $@ | sed 's/^mda.lv2/src/' | sed 's/\(.*\)\..*/\1/' | sed 's/$$/\.h/'`\" \
		-DPLUGIN_HEADER=\"`echo $@ | sed 's/^mda.lv2/src/' | sed 's/\(.*\)\..*/\1/' | sed 's/$$/\.h/' | sed 's/GUI//'`\" \
		-DUI_URI_SUFFIX=\"`echo $@ | sed 's/mda.lv2\///' | sed 's/^mda//' | sed 's/\..*//'`\" \
		-DPLUGIN_URI_SUFFIX=\"`echo $@ | sed 's/mda.lv2\///' | sed 's/^mda//' | sed 's/\..*//' | sed 's/GUI//'`\" \
		$^ -o $@; \
	fi

mda.lv2/%.so: src/%.cpp lvz/wrapper.cpp
	$(CXX) $(SHARED_LDFLAGS) $(CFLAGS) \
		-DPLUGIN_CLASS=`echo $@ | sed 's/mda.lv2\///' | sed 's/\..*//'` \
		-DPLUGIN_URI_SUFFIX=\"`echo $@ | sed 's/mda.lv2\///' | sed 's/^mda//' | sed 's/\..*//'`\" \
		-DPLUGIN_HEADER=\"`echo $@ | sed 's/^mda.lv2/src/' | sed 's/\(.*\)\..*/\1/' | sed 's/$$/\.h/'`\" \
		$^ -o $@

clean:
	rm -f `find -name '*.o'`
	rm -f `find -name '*.so'`
	rm -f `find -name '*.ttl'`
	rm -f lvz/gendata
	rm -rf ./mda.lv2

=== debian/changelog ===
mda-lv2 (0~svn2677-1) unstable; urgency=low

  * New upstream release.
  * Update debian/get-svn-source.sh, export only selected revision.
  * Refresh 01-makefile.patch, remove unneeded chunks.

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Dec 2010 01:18:24 +0100

mda-lv2 (0~svn2614-2) unstable; urgency=low

  * Fix linking order to avoid FTBFS with binutils-gold.
  * Install all *.ttl files properly.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Nov 2010 12:09:52 +0100

mda-lv2 (0~svn2614-1) unstable; urgency=low

  * Initial release (Closes: #602572).

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Nov 2010 01:37:34 +0100

=== debian/control ===
Source: mda-lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~),
 lv2core,
 libslv2-dev,
 libfftw3-dev,
 libgtk2.0-dev,
 libxt-dev,
 xsltproc
Homepage: http://dev.drobilla.net/browser/trunk/mda-lv2
Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git

Package: mda-lv2
Provides: lv2-plugin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Paul Kellett's MDA plugins ported to LV2
 This package provides Paul Kellett's MDA plugins ported to the
 LV2 specification.
 .
 LV2 (LADSPA version 2) is an open standard for plugins and matching
 host applications, mainly targeted at audio processing and generation.
 .
 This package provides the following synths and effects:
  * Ambience - Reverb effect
  * Bandisto - Multi-band distortion
  * BeatBox - Drum replacer
  * Combo - Amp & speaker simulation
  * De-ess - High frequency dynamics processor
  * Degrade - Sample quality reduction
  * Delay - Simple stereo delay with feedback tone control
  * Detune - Simple up/down pitch shifting thickener
  * Dither - Range of dither types including noise shaping
  * DubDelay - Delay with feedback saturation and time/pitch modulation
  * Dynamics - Compressor / Limiter / Gate
  * DX10 - FM Synthesizer
  * Envelope - Envelope follower / VCA
  * EPiano - Acoustic piano
  * Image - Stereo image adjustment and M-S matrix
  * JX10 - 2-Oscillator analog synthesizer
  * Leslie - Rotary speaker simulator
  * Limiter - Opto-electronic style limiter
  * Looplex - Looping plugin
  * Loudness - Equal loudness contours for bass EQ and mix correction
  * Multiband - Multi-band compressor with M-S processing modes
  * Overdrive - Soft distortion
  * RePsycho - Drum loop pitch changer
  * RezFilter - Resonant filter with LFO and envelope follower
  * RingMod - Ring modulator with sine-wave oscillator
  * Round Panner - 3D panner
  * Shepard - Continuously rising/falling tone generator
  * SpecMeter - VU-meter
  * Splitter - Frequency / level crossover for setting up dynamic
    processing
  * Stereo Simulator - Haas delay and comb filtering
  * Sub-Bass Synthesizer - Several low frequency enhancement methods
  * Talkbox - High resolution vocoder
  * TestTone - Signal generator with pink and white noise, impulses
    and sweeps
  * Thru-Zero Flanger - Classic tape-flanging simulation
  * Tracker - Pitch tracking oscillator, or pitch tracking EQ
  * Transient - Transient shaper
  * Vocoder - Switchable 8 or 16 band vocoder
  * VocInput - Pitch tracking oscillator for generating vocoder
    carrier input
 .
 These plugins make no claim of compatibility, or any other relation,
 to VST. This code does not require the VST SDK, or any other non-free
 software, and it has never come into contact with any part of the VST
 SDK.

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/mda-lv2

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install-system

override_dh_auto_clean:
	rm -rf get-orig-source
	dh_auto_clean

# Nothing to configure
override_dh_auto_configure:
# No tests available
override_dh_auto_test:

## mda-lv2 0~svn3133

=== wscript ===
#!/usr/bin/env python
import os
import shutil
from waflib.extras import autowaf as autowaf

# Version of this package (even if built as a child)
MDALA_VERSION = '0.0.0'

# Variables for 'waf dist'
APPNAME = 'mdala.lv2'
VERSION = MDALA_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
	autowaf.set_options(opt)
	opt.load('compiler_cxx')

def configure(conf):
	autowaf.configure(conf)
	autowaf.display_header('Mdala Configuration')
	conf.load('compiler_cxx')

	autowaf.check_header(conf, 'lv2/lv2plug.in/ns/lv2core/lv2.h')

	conf.env.append_value('CFLAGS', '-std=c99')

	# Set env['pluginlib_PATTERN']
	pat = conf.env['cshlib_PATTERN']
	if pat[0:3] == 'lib':
		pat = pat[3:]
	conf.env['pluginlib_PATTERN'] = pat
	conf.env['pluginlib_EXT'] = pat[pat.rfind('.'):]

	autowaf.display_msg(conf, "LV2 bundle directory",
	                    conf.env['LV2DIR'])
	print('')

def build_plugin(bld, lang, bundle, name, source, cflags=[], libs=[]):
	# Build plugin library
	penv = bld.env.derive()
	penv['cshlib_PATTERN']   = bld.env['pluginlib_PATTERN']
	penv['cxxshlib_PATTERN'] = bld.env['pluginlib_PATTERN']
	obj              = bld(features = '%s %sshlib' % (lang,lang))
	obj.env          = penv
	obj.source       = source + ['lvz/wrapper.cpp']
	obj.includes     = [ '.', './lvz', './src' ]
	obj.name         = name
	obj.target       = os.path.join(bundle, name)
	if cflags != []:
		obj.cxxflags = cflags
	if libs != []:
		autowaf.use_lib(bld, obj, libs)
	obj.install_path = '${LV2DIR}/' + bundle

	# Install data file
	data_file = '%s.ttl' % name
	bld.install_files('${LV2DIR}/' + bundle, os.path.join(bundle, data_file))

def build(bld):
	# Copy data files to build bundle (build/mdala.lv2)
	def do_copy(task):
		src = task.inputs[0].abspath()
		tgt = task.outputs[0].abspath()
		return shutil.copy(src, tgt)
		#cmd = 'cp %s %s' % (src, tgt)
		#return task.exec_command(cmd)

	for i in bld.path.ant_glob('mdala.lv2/[A-Z]*.ttl'):
		bld(rule   = do_copy,
		    source = i,
		    target = bld.path.get_bld().make_node('mdala.lv2/%s' % i),
		    install_path = '${LV2DIR}/mdala.lv2')

	bld(features = 'subst',
	    source   = 'mdala.lv2/manifest.ttl.in',
	    target   = bld.path.get_bld().make_node('mdala.lv2/manifest.ttl'),
	    LIB_EXT  = bld.env['pluginlib_EXT'],
	    install_path = '${LV2DIR}/mdala.lv2')

	plugins = '''
		Ambience
		Bandisto
		BeatBox
		Combo
		DeEss
		Degrade
		Delay
		Detune
		Dither
		DubDelay
		Dynamics
		Image
		Leslie
		Limiter
		Loudness
		MultiBand
		Overdrive
		Piano
		RePsycho
		RezFilter
		RingMod
		RoundPan
		Shepard
		Splitter
		Stereo
		SubSynth
		TalkBox
		TestTone
		ThruZero
		Tracker
		Transient
		VocInput
		Vocoder
	'''.split()
#		DX10
#		EPiano
#		JX10
#		Looplex

	# Build plugin libraries
	for i in plugins:
		build_plugin(bld, 'cxx', 'mdala.lv2', i, ['src/mda%s.cpp' % i],
					 ['-DPLUGIN_CLASS=mda%s' % i,
					  '-DURI_PREFIX=\"http://drobilla.net/plugins/mdala/\"',
					  '-DPLUGIN_URI_SUFFIX="%s"' % i,
					  '-DPLUGIN_HEADER="src/mda%s.h"' % i])

=== debian/changelog ===
mda-lv2 (0~svn3133-1) unstable; urgency=low

  * New upstream SVN snapshot.
  * Upstream has moved sources to a new location.
  * Update Homepage field.
  * Update debian/copyright to DEP-5 rev. 166
  * Use waf as buildsystem.
  * Drop 01-makefile.patch, now unnecessary.
  * Drop 02-system_libs.patch, now unnecessary.
  * Update licensing information.
  * Purge autowaf.pyc.
  * Add licensing information about waf.
  * Build-depend on python.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Apr 2011 01:12:41 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
  libfftw3-dev,
  libgtk2.0-dev,
  libxt-dev,
+ python,
  xsltproc
-Homepage: http://dev.drobilla.net/browser/trunk/mda-lv2
+Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
 Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git

=== debian/rules ===
#!/usr/bin/make -f

export DESTDIR=$(CURDIR)/debian/mda-lv2
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr --debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_install:
	$(WAF) install

override_dh_auto_clean:
	$(WAF) distclean
	dh_auto_clean

# No tests available
override_dh_auto_test:

## mda-lv2 0~svn3620+dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import shutil
from waflib.extras import autowaf as autowaf

# Version of this package (even if built as a child)
MDALA_VERSION = '0.0.0'

# Variables for 'waf dist'
APPNAME = 'mdala.lv2'
VERSION = MDALA_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_cxx')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    conf.line_just = 23
    autowaf.display_header('Mdala Configuration')

    autowaf.check_pkg(conf, 'lv2core', uselib_store='LV2CORE')

    conf.env.append_unique('CFLAGS', '-std=c99')

    # Set env['pluginlib_PATTERN']
    pat = conf.env['cxxshlib_PATTERN']
    if pat[0:3] == 'lib':
        pat = pat[3:]
    conf.env['pluginlib_PATTERN'] = pat
    conf.env['pluginlib_EXT'] = pat[pat.rfind('.'):]

    autowaf.display_msg(conf, "LV2 bundle directory",
                        conf.env['LV2DIR'])
    print('')

def build_plugin(bld, lang, bundle, name, source, cflags=[], libs=[]):
    # Build plugin library
    penv = bld.env.derive()
    penv['cshlib_PATTERN']   = bld.env['pluginlib_PATTERN']
    penv['cxxshlib_PATTERN'] = bld.env['pluginlib_PATTERN']
    obj              = bld(features = '%s %sshlib' % (lang,lang))
    obj.env          = penv
    obj.source       = source + ['lvz/wrapper.cpp']
    obj.includes     = [ '.', './lvz', './src' ]
    obj.name         = name
    obj.target       = os.path.join(bundle, name)
    if cflags != []:
        obj.cxxflags = cflags
    if libs != []:
        autowaf.use_lib(bld, obj, libs)
    obj.install_path = '${LV2DIR}/' + bundle
    obj.uselib = ['LV2CORE']

    # Install data file
    data_file = '%s.ttl' % name
    bld.install_files('${LV2DIR}/' + bundle, os.path.join(bundle, data_file))

def build(bld):
    # Copy data files to build bundle (build/mdala.lv2)
    def do_copy(task):
        src = task.inputs[0].abspath()
        tgt = task.outputs[0].abspath()
        return shutil.copy(src, tgt)
        #cmd = 'cp %s %s' % (src, tgt)
        #return task.exec_command(cmd)

    for i in bld.path.ant_glob('mdala.lv2/[A-Z]*.ttl'):
        bld(rule   = do_copy,
            source = i,
            target = bld.path.get_bld().make_node('mdala.lv2/%s' % i),
            install_path = '${LV2DIR}/mdala.lv2')

    bld(features = 'subst',
        source   = 'mdala.lv2/manifest.ttl.in',
        target   = bld.path.get_bld().make_node('mdala.lv2/manifest.ttl'),
        LIB_EXT  = bld.env['pluginlib_EXT'],
        install_path = '${LV2DIR}/mdala.lv2')

    plugins = '''
            Ambience
            Bandisto
            BeatBox
            Combo
            DeEss
            Degrade
            Delay
            Detune
            Dither
            DubDelay
            Dynamics
            Image
            Leslie
            Limiter
            Loudness
            MultiBand
            Overdrive
            Piano
            RePsycho
            RezFilter
            RingMod
            RoundPan
            Shepard
            Splitter
            Stereo
            SubSynth
            TalkBox
            TestTone
            ThruZero
            Tracker
            Transient
            VocInput
            Vocoder
    '''.split()
#               DX10
#               EPiano
#               JX10
#               Looplex

    # Build plugin libraries
    for i in plugins:
        build_plugin(bld, 'cxx', 'mdala.lv2', i, ['src/mda%s.cpp' % i],
                                 ['-DPLUGIN_CLASS=mda%s' % i,
                                  '-DURI_PREFIX=\"http://drobilla.net/plugins/mdala/\"',
                                  '-DPLUGIN_URI_SUFFIX="%s"' % i,
                                  '-DPLUGIN_HEADER="src/mda%s.h"' % i])

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 override_dh_auto_clean:
 	$(WAF) distclean
+	find -name "*.pyc" -delete
 	dh_auto_clean
 
 # No tests available

## mda-lv2 0%7esvn3620%2bdfsg0

=== debian/changelog ===
mda-lv2 (0~svn3620+dfsg0-1) unstable; urgency=low

  * New SVN snapshot. Strip waf out of the tarball (Closes: #654489).
  * Add unpack_waf.sh script and adjust get-svn-source.sh to strip waf
    out of the tarball.
  * Properly clean sources tree.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 22:46:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~),
  lv2core,
  libslv2-dev,

## mda-lv2 1.0.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -4,11 +4,11 @@
 from waflib.extras import autowaf as autowaf
 
 # Version of this package (even if built as a child)
-MDALA_VERSION = '0.0.0'
+MDA_VERSION = '1.0.0'
 
 # Variables for 'waf dist'
-APPNAME = 'mdala.lv2'
-VERSION = MDALA_VERSION
+APPNAME = 'mda-lv2'
+VERSION = MDA_VERSION
 
 # Mandatory variables
 top = '.'
@@ -22,9 +22,9 @@
     conf.load('compiler_cxx')
     autowaf.configure(conf)
     conf.line_just = 23
-    autowaf.display_header('Mdala Configuration')
+    autowaf.display_header('MDA.lv2 Configuration')
 
-    autowaf.check_pkg(conf, 'lv2core', uselib_store='LV2CORE')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
 
     conf.env.append_unique('CFLAGS', '-std=c99')
 
@@ -55,14 +55,14 @@
     if libs != []:
         autowaf.use_lib(bld, obj, libs)
     obj.install_path = '${LV2DIR}/' + bundle
-    obj.uselib = ['LV2CORE']
+    obj.uselib = ['LV2']
 
     # Install data file
     data_file = '%s.ttl' % name
     bld.install_files('${LV2DIR}/' + bundle, os.path.join(bundle, data_file))
 
 def build(bld):
-    # Copy data files to build bundle (build/mdala.lv2)
+    # Copy data files to build bundle (build/mda.lv2)
     def do_copy(task):
         src = task.inputs[0].abspath()
         tgt = task.outputs[0].abspath()
@@ -70,23 +70,24 @@
         #cmd = 'cp %s %s' % (src, tgt)
         #return task.exec_command(cmd)
 
-    for i in bld.path.ant_glob('mdala.lv2/[A-Z]*.ttl'):
+    for i in bld.path.ant_glob('mda.lv2/[A-Z]*.ttl'):
         bld(rule   = do_copy,
             source = i,
-            target = bld.path.get_bld().make_node('mdala.lv2/%s' % i),
-            install_path = '${LV2DIR}/mdala.lv2')
+            target = bld.path.get_bld().make_node('mda.lv2/%s' % i),
+            install_path = '${LV2DIR}/mda.lv2')
 
     bld(features = 'subst',
-        source   = 'mdala.lv2/manifest.ttl.in',
-        target   = bld.path.get_bld().make_node('mdala.lv2/manifest.ttl'),
+        source   = 'mda.lv2/manifest.ttl.in',
+        target   = bld.path.get_bld().make_node('mda.lv2/manifest.ttl'),
         LIB_EXT  = bld.env['pluginlib_EXT'],
-        install_path = '${LV2DIR}/mdala.lv2')
+        install_path = '${LV2DIR}/mda.lv2')
 
     plugins = '''
             Ambience
             Bandisto
             BeatBox
             Combo
+            DX10
             DeEss
             Degrade
             Delay
@@ -94,7 +95,9 @@
             Dither
             DubDelay
             Dynamics
+            EPiano
             Image
+            JX10
             Leslie
             Limiter
             Loudness
@@ -117,15 +120,12 @@
             VocInput
             Vocoder
     '''.split()
-#               DX10
-#               EPiano
-#               JX10
-#               Looplex
+#            Looplex
 
     # Build plugin libraries
     for i in plugins:
-        build_plugin(bld, 'cxx', 'mdala.lv2', i, ['src/mda%s.cpp' % i],
-                                 ['-DPLUGIN_CLASS=mda%s' % i,
-                                  '-DURI_PREFIX=\"http://drobilla.net/plugins/mdala/\"',
-                                  '-DPLUGIN_URI_SUFFIX="%s"' % i,
-                                  '-DPLUGIN_HEADER="src/mda%s.h"' % i])
+        build_plugin(bld, 'cxx', 'mda.lv2', i, ['src/mda%s.cpp' % i],
+                     ['-DPLUGIN_CLASS=mda%s' % i,
+                      '-DURI_PREFIX=\"http://drobilla.net/plugins/mda/\"',
+                      '-DPLUGIN_URI_SUFFIX="%s"' % i,
+                      '-DPLUGIN_HEADER="src/mda%s.h"' % i])

=== debian/changelog ===
mda-lv2 (1.0.0~dfsg0-1) unstable; urgency=low

  * First upstream stable release.
  * Drop build-dependency on slv2.
  * Replace build-dep on lv2core with lv2-dev.
  * Fix dh_auto_clean rule.
  * Update debian/copyright.
  * Add watch file.
  * Bump Standards.
  * Update Homepage field.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 May 2012 02:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,28 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
- lv2core,
- libslv2-dev,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.3
+Build-Depends:
+ debhelper (>= 7.0.50~),
  libfftw3-dev,
  libgtk2.0-dev,
  libxt-dev,
+ lv2-dev,
  python,
  xsltproc
-Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
+Homepage: http://drobilla.net/software/mda-lv2/
 Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
 
 Package: mda-lv2
-Provides: lv2-plugin
+Provides:
+ lv2-plugin
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Paul Kellett's MDA plugins ported to LV2
  This package provides Paul Kellett's MDA plugins ported to the
  LV2 specification.

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,9 @@
 	$(WAF) install
 
 override_dh_auto_clean:
-	$(WAF) distclean
+	$(WAF) clean || true
 	find -name "*.pyc" -delete
+	rm -rf build .waf*
 	dh_auto_clean
 
 # No tests available

=== debian/watch ===
version=3
http://download.drobilla.net/mda-lv2-(.*)\.tar\.bz2

## mda-lv2 1.2.2~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import re
import shutil
import waflib.extras.autowaf as autowaf

MDA_VERSION = '1.2.2'

# Mandatory waf variables
APPNAME = 'mda-lv2'    # Package name for waf dist
VERSION = MDA_VERSION  # Package version for waf dist
top     = '.'          # Source directory
out     = 'build'      # Build directory

def options(opt):
    opt.load('compiler_cxx')
    autowaf.set_options(opt)

def configure(conf):
    conf.line_just = 23
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.display_header('MDA.lv2 Configuration')

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.2.0', uselib_store='LV2')

    autowaf.display_msg(conf, "LV2 bundle directory",
                        conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'mda.lv2'

    for i in bld.path.ant_glob('mda.lv2/[A-Z]*.ttl'):
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = bld.path.get_bld().make_node('mda.lv2/%s' % i),
            install_path = '${LV2DIR}/mda.lv2')

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cxxshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest by substitution
    bld(features     = 'subst',
        source       = 'mda.lv2/manifest.ttl.in',
        target       = bld.path.get_bld().make_node('mda.lv2/manifest.ttl'),
        LIB_EXT      = module_ext,
        install_path = '${LV2DIR}/mda.lv2')

    plugins = '''
            Ambience
            Bandisto
            BeatBox
            Combo
            DX10
            DeEss
            Degrade
            Delay
            Detune
            Dither
            DubDelay
            Dynamics
            EPiano
            Image
            JX10
            Leslie
            Limiter
            Loudness
            MultiBand
            Overdrive
            Piano
            RePsycho
            RezFilter
            RingMod
            RoundPan
            Shepard
            Splitter
            Stereo
            SubSynth
            TalkBox
            TestTone
            ThruZero
            Tracker
            Transient
            VocInput
            Vocoder
    '''.split()

    for p in plugins:
        # Build plugin library
        obj = bld(features     = 'cxx cxxshlib',
                  source       = ['src/mda%s.cpp' % p, 'lvz/wrapper.cpp'],
                  includes     = ['.', './lvz', './src'],
                  name         = p,
                  target       = os.path.join(bundle, p),
                  install_path = '${LV2DIR}/' + bundle,
                  uselib       = ['LV2'],
                  defines      = ['PLUGIN_CLASS=mda%s' % p,
                                  'URI_PREFIX="http://drobilla.net/plugins/mda/"',
                                  'PLUGIN_URI_SUFFIX="%s"' % p,
                                  'PLUGIN_HEADER="src/mda%s.h"' % p])
        obj.env.cxxshlib_PATTERN = module_pat

        # Install data file
        bld.install_files('${LV2DIR}/' + bundle, os.path.join(bundle, p + '.ttl'))

=== debian/changelog ===
mda-lv2 (1.2.2~dfsg0-2) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Tune .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 23 Dec 2016 12:18:02 +0100

mda-lv2 (1.2.2~dfsg0-1) unstable; urgency=low

  * New upstream stable release.
  * Set dh/compat 9.
  * Bump Standards.
  * Remove --debug from configure to flags to be passed.
  * Added myself as uploader.
  * Added repacking scripts.
  * Update overrides file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 18 Feb 2014 20:46:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.3
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 10),
  libfftw3-dev,
  libgtk2.0-dev,
  libxt-dev,
  lv2-dev,
  python,
  xsltproc
+Standards-Version: 3.9.8
 Homepage: http://drobilla.net/software/mda-lv2/
-Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mda-lv2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mda-lv2.git
 
 Package: mda-lv2
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,16 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 export DESTDIR=$(CURDIR)/debian/mda-lv2
+
 WAF = ./waf
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	$(WAF) configure --prefix=/usr --debug
+	$(WAF) configure --prefix=/usr
 
 override_dh_auto_build:
 	$(WAF)

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://download.drobilla.net/mda-lv2-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub

## mda-lv2 1.2.2

=== debian/changelog ===
mda-lv2 (1:1.2.2-1kxstudio1) lucid; urgency=low

  * New upstream release

 -- falkTX <falktx@gmail.com>  Tue, 07 Jan 2014 11:34:08 +0000

mda-lv2 (1.0.0-2kxstudio2) lucid; urgency=low

  * Build against fftw3-static

 -- falkTX <falktx@gmail.com>  Sat, 17 Aug 2013 22:11:03 +0100

mda-lv2 (1.0.0-2kxstudio1) lucid; urgency=low

  * Import package

 -- falkTX <falktx@gmail.com>  Tue, 23 Jul 2013 20:05:52 +0100

mda-lv2 (1.0.0-1+programs4~precise1) precise; urgency=low

  * Update lv2-programs patch

 -- falkTX <falktx@gmail.com>  Wed, 02 Jan 2013 23:04:32 +0000

mda-lv2 (1.0.0-1+programs3) precise; urgency=low

  * Support lv2-programs extension

 -- falkTX <falktx@gmail.com>  Wed, 02 May 2012 00:18:13 +0100

mda-lv2 (1.0.0-1+nodebug1) precise; urgency=low

  * Backport, no debug

 -- falkTX <falktx@gmail.com>  Tue, 24 Apr 2012 07:18:48 +0100

mda-lv2 (1.0.0~dfsg0-1) UNRELEASED; urgency=low

  * Imported Upstream version 1.0.0~dfsg0
  * Fix dh_auto_clean rule.
  * Update debian/copyright.
  * Add watch file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Apr 2012 09:54:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,19 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.3
 Build-Depends:
- debhelper (>= 10),
- libfftw3-dev,
+ debhelper (>= 7.0.50~),
  libgtk2.0-dev,
  libxt-dev,
  lv2-dev,
  python,
- xsltproc
-Standards-Version: 3.9.8
-Homepage: http://drobilla.net/software/mda-lv2/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mda-lv2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mda-lv2.git
+ xsltproc,
+ fftw3-static
+Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
+Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
 
 Package: mda-lv2
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
+export CXXFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
 
 export DESTDIR=$(CURDIR)/debian/mda-lv2
-
 WAF = ./waf
 
 %:

## mda-lv2 1.2.4

=== wscript ===
#!/usr/bin/env python

import os
import re
import shutil

from waflib.extras import autowaf

MDA_VERSION = '1.2.4'

# Mandatory waf variables
APPNAME = 'mda-lv2'    # Package name for waf dist
VERSION = MDA_VERSION  # Package version for waf dist
top     = '.'          # Source directory
out     = 'build'      # Build directory

# Release variables
title        = 'MDA.lv2'
uri          = 'http://drobilla.net/sw/mda.lv2'
dist_pattern = 'http://download.drobilla.net/mda-lv2-%d.%d.%d.tar.bz2'
post_tags    = ['LV2', 'MDA.lv2']

def options(opt):
    opt.load('compiler_cxx')
    opt.load('lv2')

def configure(conf):
    conf.load('compiler_cxx', cache=True)
    conf.load('lv2', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')
    conf.check_pkg('lv2 >= 1.2.0', uselib_store='LV2')
    conf.run_env.append_unique('LV2_PATH', [conf.build_path('lv2')])
    autowaf.display_summary(conf, {'LV2 bundle directory': conf.env.LV2DIR})

def build(bld):
    bundle = 'mda.lv2'

    for i in bld.path.ant_glob('mda.lv2/[A-Z]*.ttl'):
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = 'lv2/mda.lv2/%s' % i.name,
            install_path = '${LV2DIR}/mda.lv2')

    # Build manifest by substitution
    bld(features     = 'subst',
        source       = 'mda.lv2/manifest.ttl.in',
        target       = 'lv2/mda.lv2/manifest.ttl',
        LIB_EXT      = bld.env.LV2_LIB_EXT,
        install_path = '${LV2DIR}/mda.lv2')

    plugins = '''
            Ambience
            Bandisto
            BeatBox
            Combo
            DX10
            DeEss
            Degrade
            Delay
            Detune
            Dither
            DubDelay
            Dynamics
            EPiano
            Image
            JX10
            Leslie
            Limiter
            Loudness
            MultiBand
            Overdrive
            Piano
            RePsycho
            RezFilter
            RingMod
            RoundPan
            Shepard
            Splitter
            Stereo
            SubSynth
            TalkBox
            TestTone
            ThruZero
            Tracker
            Transient
            VocInput
            Vocoder
    '''.split()

    for p in plugins:
        # Build plugin library
        obj = bld(features     = 'cxx cxxshlib lv2lib',
                  source       = ['src/mda%s.cpp' % p, 'lvz/wrapper.cpp'],
                  includes     = ['.', './lvz', './src'],
                  name         = p,
                  target       = os.path.join('lv2', bundle, p),
                  install_path = '${LV2DIR}/' + bundle,
                  uselib       = ['LV2'],
                  defines      = ['PLUGIN_CLASS=mda%s' % p,
                                  'URI_PREFIX="http://drobilla.net/plugins/mda/"',
                                  'PLUGIN_URI_SUFFIX="%s"' % p,
                                  'PLUGIN_HEADER="src/mda%s.h"' % p])

        # Install data file
        bld.install_files('${LV2DIR}/' + bundle, os.path.join(bundle, p + '.ttl'))

=== debian/changelog ===
mda-lv2 (1.2.4-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Olivier Humbert ]
  * d/control: Update description
  * d/copyright:
    + Update source url
    + Use https protocol

  [ Dennis Braun ]
  * New upstream release
  * No need to repack anymore
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Build with gtk3 and python3 (Closes: #936998)
    + Use https protocol for homepage
    + Set RRR: no
    + Add me as uploader
  * d/copyright: Update year and add myself
  * Remove unused debian files
  * d/rules: Fix WAF variable

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Feb 2020 20:58:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: mda-lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.3
+ Dennis Braun <d_braun@kabelmail.de>,
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
- libgtk2.0-dev,
+ debhelper-compat (= 12),
+ libfftw3-dev,
+ libgtk-3-dev,
  libxt-dev,
  lv2-dev,
- python,
- xsltproc,
- fftw3-static
-Homepage: http://dev.drobilla.net/browser/trunk/plugins/mdala.lv2/
-Vcs-Git: git://git.debian.org/pkg-multimedia/mda-lv2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mda-lv2.git
+ python3,
+ xsltproc
+Standards-Version: 4.5.0
+Homepage: https://drobilla.net/software/mda-lv2/
+Vcs-Git: https://salsa.debian.org/multimedia-team/mda-lv2.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/mda-lv2
+Rules-Requires-Root: no
 
 Package: mda-lv2
 Provides:
@@ -44,13 +47,11 @@
   * DubDelay - Delay with feedback saturation and time/pitch modulation
   * Dynamics - Compressor / Limiter / Gate
   * DX10 - FM Synthesizer
-  * Envelope - Envelope follower / VCA
   * EPiano - Acoustic piano
   * Image - Stereo image adjustment and M-S matrix
   * JX10 - 2-Oscillator analog synthesizer
   * Leslie - Rotary speaker simulator
   * Limiter - Opto-electronic style limiter
-  * Looplex - Looping plugin
   * Loudness - Equal loudness contours for bass EQ and mix correction
   * Multiband - Multi-band compressor with M-S processing modes
   * Overdrive - Soft distortion
@@ -59,7 +60,6 @@
   * RingMod - Ring modulator with sine-wave oscillator
   * Round Panner - 3D panner
   * Shepard - Continuously rising/falling tone generator
-  * SpecMeter - VU-meter
   * Splitter - Frequency / level crossover for setting up dynamic
     processing
   * Stereo Simulator - Haas delay and comb filtering

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
-export CFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
-export CXXFLAGS+=-fPIC -DPIC -O3 -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DESTDIR=$(CURDIR)/debian/mda-lv2
-WAF = ./waf
+
+WAF = python3 ./waf
 
 %:
 	dh $@

=== debian/watch ===
version=4
https://download.drobilla.net/mda-lv2-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mda-lv2 1.2.6

=== wscript ===
--- 
+++ 
@@ -4,9 +4,10 @@
 import re
 import shutil
 
+from waflib import Options
 from waflib.extras import autowaf
 
-MDA_VERSION = '1.2.4'
+MDA_VERSION = '1.2.6'
 
 # Mandatory waf variables
 APPNAME = 'mda-lv2'    # Package name for waf dist
@@ -29,7 +30,46 @@
     conf.load('lv2', cache=True)
     conf.load('autowaf', cache=True)
     autowaf.set_c_lang(conf, 'c99')
-    conf.check_pkg('lv2 >= 1.2.0', uselib_store='LV2')
+
+    if Options.options.ultra_strict:
+        autowaf.add_compiler_flags(conf.env, 'cxx', {
+            'clang': [
+                '-Wno-comma',
+                '-Wno-deprecated-copy-dtor',
+                '-Wno-double-promotion',
+                '-Wno-float-equal',
+                '-Wno-implicit-float-conversion',
+                '-Wno-old-style-cast',
+                '-Wno-padded',
+                '-Wno-reserved-id-macro',
+                '-Wno-shorten-64-to-32',
+                '-Wno-sign-conversion',
+                '-Wno-suggest-override',
+                '-Wno-suggest-destructor-override',
+                '-Wno-unused-parameter',
+                '-Wno-weak-vtables',
+                '-Wno-zero-as-null-pointer-constant',
+            ],
+            'gcc': [
+                '-Wno-conversion',
+                '-Wno-double-promotion',
+                '-Wno-duplicated-branches',
+                '-Wno-effc++',
+                '-Wno-float-conversion',
+                '-Wno-float-equal',
+                '-Wno-old-style-cast',
+                '-Wno-padded',
+                '-Wno-strict-aliasing',
+                '-Wno-suggest-attribute=pure',
+                '-Wno-suggest-final-methods',
+                '-Wno-suggest-final-types',
+                '-Wno-suggest-override',
+                '-Wno-unused-parameter',
+                '-Wno-useless-cast',
+            ]
+        })
+
+    conf.check_pkg('lv2 >= 1.16.0', uselib_store='LV2')
     conf.run_env.append_unique('LV2_PATH', [conf.build_path('lv2')])
     autowaf.display_summary(conf, {'LV2 bundle directory': conf.env.LV2DIR})

=== debian/changelog ===
mda-lv2 (1.2.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

  [ Olivier Humbert ]
  * d/control: adds Piano + alphabetical order

  [ Dennis Braun ]
  * New upstream version 1.2.6
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Update d/copyright year for my entry
  * Drop obsolete lintian-overrides
  * Update d/upstream/metadata with gitlab links
  * Add d/upstream/signing-key.asc
  * Add pgpmode=auto to d/watch

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 19 Jan 2021 20:14:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libfftw3-dev,
  libgtk-3-dev,
  libxt-dev,
  lv2-dev,
  python3,
  xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://drobilla.net/software/mda-lv2/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mda-lv2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mda-lv2
@@ -45,8 +45,8 @@
   * Detune - Simple up/down pitch shifting thickener
   * Dither - Range of dither types including noise shaping
   * DubDelay - Delay with feedback saturation and time/pitch modulation
+  * DX10 - FM Synthesizer
   * Dynamics - Compressor / Limiter / Gate
-  * DX10 - FM Synthesizer
   * EPiano - Acoustic piano
   * Image - Stereo image adjustment and M-S matrix
   * JX10 - 2-Oscillator analog synthesizer
@@ -55,6 +55,7 @@
   * Loudness - Equal loudness contours for bass EQ and mix correction
   * Multiband - Multi-band compressor with M-S processing modes
   * Overdrive - Soft distortion
+  * Piano
   * RePsycho - Drum loop pitch changer
   * RezFilter - Resonant filter with LFO and envelope follower
   * RingMod - Ring modulator with sine-wave oscillator
@@ -70,9 +71,9 @@
   * Thru-Zero Flanger - Classic tape-flanging simulation
   * Tracker - Pitch tracking oscillator, or pitch tracking EQ
   * Transient - Transient shaper
-  * Vocoder - Switchable 8 or 16 band vocoder
   * VocInput - Pitch tracking oscillator for generating vocoder
     carrier input
+  * Vocoder - Switchable 8 or 16 band vocoder
  .
  These plugins make no claim of compatibility, or any other relation,
  to VST. This code does not require the VST SDK, or any other non-free

## mda-lv2 1.2.10

=== meson_options.txt ===
# Copyright 2021-2022 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: CC0-1.0 OR MIT

option('lv2dir', type: 'string', value: '', yield: true,
       description: 'LV2 bundle installation directory')

option('strict', type: 'boolean', value: false, yield: true,
       description: 'Enable ultra-strict warnings')

option('tests', type: 'feature', value: 'auto', yield: true,
       description: 'Build tests')

option('title', type: 'string', value: 'MDA.lv2',
       description: 'Project title')

=== debian/changelog ===
mda-lv2 (1.2.10-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:00:20 +0200

mda-lv2 (1.2.10-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump Standards-Version
    - Fix homepage
    - Add pkgconf and ninja-build to Build-Depends
    - Remove python3 from Build-Depends
  * debian/rules:
    - Remove leftovers from waf-based build system
    - Fix lv2dir

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Oct 2023 19:02:04 +0100

mda-lv2 (1.2.10-1) unstable; urgency=medium

  * New upstream version 1.2.10
  * Build with meson
  * Fix uploaders order
  * Bump Standards Version to 4.6.1
  * d/copyright: Drop waf entry and BSD-3-clause license
  * d/copyright: Bump years
  * Add lintian-overrides
  * Add salsa ci config
  * d/gbp.conf: Remove wrong compression

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 18 Sep 2022 23:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: mda-lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
  libfftw3-dev,
  libgtk-3-dev,
  libxt-dev,
  lv2-dev,
- python3,
+ meson,
+ ninja-build,
+ pkgconf,
  xsltproc
-Standards-Version: 4.5.1
-Homepage: https://drobilla.net/software/mda-lv2/
+Standards-Version: 4.6.2
+Homepage: https://drobilla.net/category/mdalv2/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mda-lv2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mda-lv2
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dlv2dir=/usr/lib/lv2

# No tests available
override_dh_auto_test:
